import usb

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

board = find_board()
print "hello"
handle = board.open()
print '=========================='
print 'Welcome To Click Challenge'
print '=========================='
print 'RULE: Click Click and Click before timeout to be the WINNER'
print 'Red LED = Player 1'
print 'Green LED = Player 2'
print '1. Start'
print '2. Quit'
tmp = input('Enter choice :')
if (tmp == 1):
	time = 1000
	a = b = 0
	tmp_k = 0
	tmp_j = 0
	req2 = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
	while(time > 0):
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		k = handle.controlMsg(req,1,1)
		j = handle.controlMsg(req,2,1)
		if(k[0] != tmp_k):
			a+=1
		if(j[0] != tmp_j):
			b+=1
		time -= 1
		tmp_k = k[0]
		tmp_j = j[0]
		if(a>b):
			handle.controlMsg(req2,0,None,0x0100)
			handle.controlMsg(req2,0,None,0x0001)
			handle.controlMsg(req2,0,None,0x0002)
		elif(a==b):
                        handle.controlMsg(req2,0,None,0x0000)
                        handle.controlMsg(req2,0,None,0x0101)
                        handle.controlMsg(req2,0,None,0x0002)		
		else:
			handle.controlMsg(req2,0,None,0x0000)
                        handle.controlMsg(req2,0,None,0x0001)
                        handle.controlMsg(req2,0,None,0x0102)
	print '*****  Time out  *****'
	if(a>b):
		print 'Player 1 WIN !!'
	elif(a==b):
		print '----- DROW -----'
        else:
		print 'Player 2 WIN !!'
		
elif (tmp == 2):
	quit(0)

